Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063481 - RHEL 7 has the wrong default tuned profile
Summary: RHEL 7 has the wrong default tuned profile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned
Version: 7.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Branislav Blaškovič
URL:
Whiteboard:
Depends On:
Blocks: 1629620
TreeView+ depends on / blocked
 
Reported: 2014-02-10 20:28 UTC by Bill Burns
Modified: 2018-09-17 08:13 UTC (History)
8 users (show)

Fixed In Version: tuned-2.3.0-7.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1629620 (view as bug list)
Environment:
Last Closed: 2014-06-13 09:53:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bill Burns 2014-02-10 20:28:51 UTC
Description of problem:
Default should be "throughput" not "balance". Using balance results in poorer performance than RHEL 6.

Comment 2 Anton Arapov 2014-02-13 11:45:55 UTC
Jaroslav, it is a bit more than just change the default. There are several RHEL7 variants, and two different defaults should be used.

You know better at what stage the variant is detected and proper default to be selected. Let us know if ant concerns here. Ok?


I have the following data in my notes, however I'm not sure about the variant names:
RHEL7-Server - "throughput" profile as default
RHEL7-ComputeNode - "throughput" profile
RHEL7-Client - "balance" profile as default
RHEL7-Workstation - "balance"

Jeremy, could you please recap for us the default per variant here. Jaroslav will commit it later.

thanks,

Comment 8 Branislav Blaškovič 2014-03-06 13:37:44 UTC
TestCase is getting recommended profile according to comment #5 and matching with 'tuned-adm recommend'

tuned-2.3.0-9.el7.noarch on virtual machine:
:: [   LOG    ] :: Recommended profile should be virtual-guest
:: [   INFO   ] :: rlRun: command = 'tuned-adm recommend'; exitcode = 0; expected = 0
:: [   PASS   ] :: Running 'tuned-adm recommend' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/tmp/tmp.44Mmd7uMLC' should contain 'virtual-guest' 
:: [   LOG    ] :: Duration: 1s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: Test

With older tuned it just tracebacks..

Comment 9 Ludek Smid 2014-06-13 09:53:19 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.